GeoTrust Intermediate Certificate Information

Please Note: On July 22nd, 2010 GeoTrust upgraded its root hierachy to 2048bit RSA Keys to enhance the security of all SSL products. As a part of this upgrade, all newly issued SSL certificates now require the installation of the new GeoTrust Intermediate CA along with your SSL certificate. In order for your certificate to function appropriatelty the new Intermediate CA MUST be installed. This will ensure that the SSL certificate to be fully trusted in all browsers. For more information on this upgrade please the following advisory GeoTrust AD238

For detailed instructions on how to install the GeoTrust Intermediate Certificate Authority CA, please choose your server type below: